
QGIS Application - Bug report #19325

CSV not exporting correct data from shape file

2018-07-03 06:54 PM - Tara Pirie

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27153

Description

When saving a shape file that has been worked on (i.e. data points have been removed) as a csv file, the vector points are not being

saved from the shape file that was worked on and saved, but saves the points that were deleted from the previous file.

History

#1 - 2018-07-03 07:00 PM - Giovanni Manghi

- Easy fix? set to No

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Category changed from Any to Vectors

- Status changed from Open to Feedback

- Affected QGIS version set to 3.2

- Crashes QGIS or corrupts data set to No

- Regression? set to No

3.2?

#2 - 2018-07-04 11:57 AM - Tara Pirie

Giovanni Manghi wrote:

3.2?

Hi, 

It was in 2.18.13 however I have just tried 3.2 and the same issue occurs.

#3 - 2018-07-04 11:59 AM - Giovanni Manghi

Hi, description is a bit confusing to me, can you kindly add the list of exact steps to follow in order to allow us try replicate the problem? thanks!

#4 - 2018-07-04 12:00 PM - Richard Duivenvoorde

Hi Tara,

Can you provide clear instructions on the things you do to get this result?
Because:

- I just downloaded your shapefile, 

- opened it in QGGIS

- made the layer editable

- removed a lot of points

- finished editing (! else your edits are not saved, off course?)

- show feature count: 185

- export to csv

- view table: 185 records

To check if those were the right records I joined the data on the Time field, and all seems ok to me?

So please provide some more info on how to reproduce this.

I'm on Debian Linux, I tested both QGIS 3.2 and master

#5 - 2018-07-05 10:15 AM - Tara Pirie

Richard Duivenvoorde wrote:

Hi Tara,

Can you provide clear instructions on the things you do to get this result?

Because:

- I just downloaded your shapefile, 

- opened it in QGGIS

- made the layer editable

- removed a lot of points

- finished editing (! else your edits are not saved, off course?)

- show feature count: 185

- export to csv

- view table: 185 records

To check if those were the right records I joined the data on the Time field, and all seems ok to me?

So please provide some more info on how to reproduce this.

I'm on Debian Linux, I tested both QGIS 3.2 and master

Hi Richard,

The shape files were the finished and saved files. The attached CSV was the saved file from the attached shape file. If you load the CSV you see there are

more points than the shape file (you need to zoom to layer to see them) but it was saved from that file. I even reloaded the shape file into QGIS to make

sure all the changes were definitely saved before saving to the csv. I have also tried excel version and copy and pasting the attribute table. When I save to

a csv file I do save as, select the csv and find the folder to save it to.

#6 - 2018-07-05 11:10 AM - Giovanni Manghi

The shape files were the finished and saved files. The attached CSV was the saved file from the attached shape file. If you load the CSV you see

there are more points than the shape file (you need to zoom to layer to see them) but it was saved from that file. I even reloaded the shape file into

QGIS to make sure all the changes were definitely saved before saving to the csv. I have also tried excel version and copy and pasting the attribute

table. When I save to a csv file I do save as, select the csv and find the folder to save it to.
Can you kindly attach the original data and outline the exact steps you are following? thanks!

#7 - 2018-07-05 11:19 AM - Tara Pirie

- File MrFB_site10.csv added

Giovanni Manghi wrote:

The shape files were the finished and saved files. The attached CSV was the saved file from the attached shape file. If you load the CSV you see

there are more points than the shape file (you need to zoom to layer to see them) but it was saved from that file. I even reloaded the shape file into

QGIS to make sure all the changes were definitely saved before saving to the csv. I have also tried excel version and copy and pasting the

attribute table. When I save to a csv file I do save as, select the csv and find the folder to save it to.

Can you kindly attach the original data and outline the exact steps you are following? thanks!

Hi Giovanni

Please find the original file attached. I then loaded it into QGIS and removed the extreme data points so only those seen on the shape file (loaded

previously) were left. I saved the edits and came out of editing mode then saved the changes as a new shape file which is the one I have given to you. I

then saved the same shape file as a csv file which I also attached previously. However when I loaded the "cleaned" csv file and zoomed to layer I found the

"deleted" points were still there.

#8 - 2018-07-05 11:21 AM - Giovanni Manghi

Tara Pirie wrote:

Giovanni Manghi wrote:

The shape files were the finished and saved files. The attached CSV was the saved file from the attached shape file. If you load the CSV you see

there are more points than the shape file (you need to zoom to layer to see them) but it was saved from that file. I even reloaded the shape file

into QGIS to make sure all the changes were definitely saved before saving to the csv. I have also tried excel version and copy and pasting the

attribute table. When I save to a csv file I do save as, select the csv and find the folder to save it to.

Can you kindly attach the original data and outline the exact steps you are following? thanks!

Hi Giovanni

Please find the original file attached. I then loaded it into QGIS and removed the extreme data points so only those seen on the shape file (loaded

previously) were left. I saved the edits and came out of editing mode then saved the changes as a new shape file which is the one I have given to

you. I then saved the same shape file as a csv file which I also attached previously. However when I loaded the "cleaned" csv file and zoomed to

layer I found the "deleted" points were still there.

how did you loaded the CSV in the first place? as a geometryless table or as point layer (in this second case what tool you used to plot the csv as point

layer?)?

#9 - 2018-07-05 12:02 PM - Tara Pirie

Giovanni Manghi wrote:
Tara Pirie wrote:

Giovanni Manghi wrote:

The shape files were the finished and saved files. The attached CSV was the saved file from the attached shape file. If you load the CSV you

see there are more points than the shape file (you need to zoom to layer to see them) but it was saved from that file. I even reloaded the shape

file into QGIS to make sure all the changes were definitely saved before saving to the csv. I have also tried excel version and copy and pasting

the attribute table. When I save to a csv file I do save as, select the csv and find the folder to save it to.

Can you kindly attach the original data and outline the exact steps you are following? thanks!

Hi Giovanni

Please find the original file attached. I then loaded it into QGIS and removed the extreme data points so only those seen on the shape file (loaded

previously) were left. I saved the edits and came out of editing mode then saved the changes as a new shape file which is the one I have given to

you. I then saved the same shape file as a csv file which I also attached previously. However when I loaded the "cleaned" csv file and zoomed to

layer I found the "deleted" points were still there.

how did you loaded the CSV in the first place? as a geometryless table or as point layer (in this second case what tool you used to plot the csv as

point layer?)?

I loaded it as a deliminated text file, then saved it as a shape file to be able to edit it.

#10 - 2018-09-18 09:41 AM - Jürgen Fischer

- Assignee deleted (Tara Pirie)

#11 - 2019-02-23 08:36 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

Files

MrFB_c.cpg 5 Bytes 2018-07-03 Tara Pirie

MrFB_c.prj 143 Bytes 2018-07-03 Tara Pirie

MrFB_c.qpj 257 Bytes 2018-07-03 Tara Pirie

MrFB_c.shp 137 KB 2018-07-03 Tara Pirie

MrFB_c.shx 39.6 KB 2018-07-03 Tara Pirie

MrFB_c.dbf 4.34 MB 2018-07-03 Tara Pirie

MrFB_c.csv 652 KB 2018-07-03 Tara Pirie

MrFB_site10.csv 342 KB 2018-07-05 Tara Pirie
